%define rel	15
%define beta	2
%if %{beta}
%define release %mkrel 0.beta%{beta}.%{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		xmove
Version:	2.0
Release:	%{release}
Summary:	X11 pseudo-server to dynamically move X11 applications
License:	MIT
Group:		System/X11
URL:		ftp://ftp.cs.columbia.edu/pub/xmove/
# These URLs are no longer valid
%if %{beta}
Source0:	ftp://ftp.cs.columbia.edu/pub/xmove/%{name}.%{version}beta%{beta}.tar.bz2
%else
Source0:	ftp://ftp.cs.columbia.edu/pub/xmove/%{name}.%{version}.tar.bz2
%endif
Patch0:		xmove-2.0-unix-domain.patch
Patch1:		xmove-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	imake

%description
xmove is a pseudo-server (aka proxy server) which allows you
to dynamically move an X application between servers, and screens
within a server.

%prep
%setup -q -n %{name}
%patch -P 0 -p1 -b .unix-domain
%patch -P 1 -p1 -b .gcc14
chmod 644 doc/*

%build
for i in xmove xmovectrl; do
	cd $i
	ln -sf ../man/man1/$i.1 $i.man
	xmkmf
	%make_build EXTRA_LDOPTIONS="%ldflags" CDEBUGFLAGS="%optflags -std=gnu17" CDEBUGFLAGS="%optflags"
	cd $OLDPWD
done

%install
install -d -m755 %{buildroot}%{_mandir}/man1/
for i in xmove xmovectrl; do
	cd $i
	%make_install
	cd $OLDPWD
	install -m 644 man/man1/$i.1 %{buildroot}%{_mandir}/man1/
done

%files
%doc README doc/*
%_bindir/xmove*
%{_mandir}/man1/xmove*


%changelog
* Sat Jun 07 2025 daviddavid <daviddavid> 2.0-0.beta2.15.mga10
+ Revision: 2189870
- fix build with gcc 15 using -std=gnu17

* Mon Oct 07 2024 ns80 <ns80> 2.0-0.beta2.14.mga10
+ Revision: 2104016
- fix building with GCC 14

* Sat Mar 19 2022 umeabot <umeabot> 2.0-0.beta2.13.mga9
+ Revision: 1800224
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0-0.beta2.12.mga8
+ Revision: 1518826
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.0-0.beta2.11.mga7
+ Revision: 1301947
- Mageia 7 Mass Rebuild

* Sat Sep 23 2017 cjw <cjw> 2.0-0.beta2.10.mga7
+ Revision: 1158198
- pass optflags to make to fix debug packages

* Sat Jan 30 2016 umeabot <umeabot> 2.0-0.beta2.9.mga6
+ Revision: 929087
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-0.beta2.8.mga5
+ Revision: 744857
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-0.beta2.7.mga5
+ Revision: 690723
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-0.beta2.6.mga4
+ Revision: 520708
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0-0.beta2.5.mga3
+ Revision: 387223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 grenoya <grenoya> 2.0-0.beta2.4.mga1
+ Revision: 96230
- imported package xmove


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 2.0-0.beta2.4mdv2011.0
+ Revision: 634908
- simplify BR

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 2.0-0.beta2.3mdv2010.0
+ Revision: 435250
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.0-0.beta2.2mdv2009.0
+ Revision: 136612
- restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tv@mandriva.org> 2.0-0.beta2.2mdv2008.1
+ Revision: 135615
- adatp to new xorg layout
- BR imake
- kill bogus BR
- kill re-definition of %%buildroot on Pixel's request
- import xmove


* Sat Sep 03 2005 Marcel Pol <mpol@mandriva.org> 2.0-0.beta2.2mdk
- buildrequires x11

* Thu Aug  4 2005 Olivier Blin <oblin@mandriva.com> 2.0-0.beta2.1mdk
- initial Mandriva release
- Patch0: Unix domain sockets support (from Debian)
